DatabaseMetaData.TableMetaDataKey
Date: 2018-05-01

com.mysql.jdbc

## Class DatabaseMetaData.TableMetaDataKey

- java.lang.Object
- - com.mysql.jdbc.DatabaseMetaData.TableMetaDataKey

- All Implemented Interfaces:
    java.lang.Comparable<DatabaseMetaData.TableMetaDataKey>
  Enclosing class:
    DatabaseMetaData

      protected class DatabaseMetaData.TableMetaDataKey
      extends java.lang.Object
      implements java.lang.Comparable<DatabaseMetaData.TableMetaDataKey>

  Helper class to provide means of comparing tables by TABLE_TYPE, TABLE_CAT, TABLE_SCHEM and TABLE_NAME.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `tableCat`
    `(package private) java.lang.String` | `tableName`
    `(package private) java.lang.String` | `tableSchem`
    `(package private) java.lang.String` | `tableType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetaData.TableMetaDataKey(java.lang.String tableType, java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DatabaseMetaData.TableMetaDataKey tablesKey)`
    `boolean` | `equals(java.lang.Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tableType

          java.lang.String tableType

    - #### tableCat

          java.lang.String tableCat

    - #### tableSchem

          java.lang.String tableSchem

    - #### tableName

          java.lang.String tableName

  - ### Constructor Detail

    - #### DatabaseMetaData.TableMetaDataKey

          DatabaseMetaData.TableMetaDataKey(java.lang.String tableType,
                                           java.lang.String tableCat,
                                           java.lang.String tableSchem,
                                           java.lang.String tableName)

  - ### Method Detail

    - #### compareTo

          public int compareTo(DatabaseMetaData.TableMetaDataKey tablesKey)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DatabaseMetaData.TableMetaDataKey>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`